Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 22062 - Inconsistent location of workspace switcher menu item & toolbar
Inconsistent location of workspace switcher menu item & toolbar
Status: CLOSED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Linux
: P4 (vote)
: 6.x
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 17815
  Show dependency treegraph
 
Reported: 2002-04-03 17:27 UTC by Jesse Glick
Modified: 2008-12-22 22:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-04-03 17:27:34 UTC
[dev apr 02] (1) The core/ui module's layer has
the WorkspaceSwitcher
toolbar, which IMHO should be in the core/windows
module. By contrast,
the core/windows layer correctly has the
Menu/View/org-openide-actions-WorkspaceSwitchAction.instance
entry.
(2) It would be more consistent and helpful for
users to have a single
SystemAction (or even Object is OK) whose
Presenter.Menu worked like
org.openide.actions.WorkspaceSwitchAction and
whose Presenter.Toolbar
produces the WorkspaceSwitcher.control. Then the
core/windows layer
should install this action in Menu/View/,
Toolbars/WorkspaceSwitcher/,
and Actions/View/ folders.
Comment 1 mslama 2002-04-18 13:31:50 UTC
Reassigning to Dafe
Comment 2 David Simonek 2002-04-18 14:14:38 UTC
although workspace swither driven from layer had to be rollbacked
(because of ui), I'll keep this bug open for later examination when
time will come. 
Comment 3 David Simonek 2002-06-28 16:03:22 UTC
Moving target to 4.0. Will not be solved for 3.4, as currently
toolbars are installed through layers "halfway" (in platform only) and
it doesn't make much sense to try to fix this halfway too.
Comment 4 Marek Grummich 2002-07-22 08:45:37 UTC
Target milestone was changed from '3.4' to TBD.
Comment 5 Marek Grummich 2002-07-22 08:51:08 UTC
Target milestone was changed from '3.4' to TBD.
Comment 6 Marian Mirilovic 2002-12-06 18:19:32 UTC
reassign to Tim, new owner of AWT/Swing
Comment 7 _ tboudreau 2003-09-09 01:00:54 UTC
Closing as wontfix - the new window system eliminates the concept
of workspaces.
Comment 8 Marian Mirilovic 2005-07-14 08:13:25 UTC
workspaces are no more present in standard distribution .. closing


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo